Module java.base
Package java.util

## Class IllegalFormatConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.IllegalFormatConversionException

All Implemented Interfaces:
  Serializable

    public class IllegalFormatConversionException
    extends IllegalFormatException

Unchecked exception thrown when the argument corresponding to the format specifier is of an incompatible type.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalFormatConversionException(char c, Class<?> arg)` Constructs an instance of this class with the mismatched conversion and the corresponding argument class.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getArgumentClass()` Returns the class of the mismatched argument.
`char` `getConversion()` Returns the inapplicable conversion.
`String` `getMessage()` Returns the detail message string of this throwable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### IllegalFormatConversionException

    public IllegalFormatConversionException(char c,
                                            Class<?> arg)

Constructs an instance of this class with the mismatched conversion and the corresponding argument class.

Parameters:
  `c` - Inapplicable conversion
  `arg` - Class of the mismatched argument

### Method Detail

#### getConversion

    public char getConversion()

Returns the inapplicable conversion.

Returns:
  The inapplicable conversion

#### getArgumentClass

    public Class<?> getArgumentClass()

Returns the class of the mismatched argument.

Returns:
  The class of the mismatched argument

#### getMessage

    public String getMessage()

Description copied from class: `Throwable`
Returns the detail message string of this throwable.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).